## libevent 2.0.6

=== Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.







pkgdatadir = $(datadir)/libevent
pkgincludedir = $(includedir)/libevent
pkglibdir = $(libdir)/libevent
pkglibexecdir = $(libexecdir)/libevent
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
am__append_1 = libevent_pthreads.la
am__append_2 = libevent_openssl.la
am__append_3 = select.c
am__append_4 = poll.c
#am__append_5 = devpoll.c
#am__append_6 = kqueue.c
am__append_7 = epoll.c
#am__append_8 = evport.c
am__append_9 = signal.c
subdir = .
DIST_COMMON = README $(am__configure_deps) $(dist_bin_SCRIPTS) \
	$(include_HEADERS) $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/libevent.pc.in $(top_srcdir)/configure ChangeLog \
	compile config.guess config.sub depcomp epoll_sub.c install-sh \
	ltmain.sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acx_pthread.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libevent.pc
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 =
libevent_la_DEPENDENCIES =  $(am__DEPENDENCIES_1)
am__libevent_la_SOURCES_DIST = event.c evthread.c buffer.c \
	bufferevent.c bufferevent_sock.c bufferevent_filter.c \
	bufferevent_pair.c listener.c bufferevent_ratelim.c evmap.c \
	log.c evutil.c evutil_rand.c strlcpy.c select.c poll.c \
	devpoll.c kqueue.c epoll.c evport.c signal.c win32select.c \
	evthread_win32.c buffer_iocp.c event_iocp.c \
	bufferevent_async.c event_tagging.c http.c evdns.c evrpc.c
am__objects_1 = select.lo
am__objects_2 = poll.lo
#am__objects_3 = devpoll.lo
#am__objects_4 = kqueue.lo
am__objects_5 = epoll.lo
#am__objects_6 = evport.lo
am__objects_7 = signal.lo
am__objects_8 = $(am__objects_1) $(am__objects_2) \
	$(am__objects_3) $(am__objects_4) \
	$(am__objects_5) $(am__objects_6) \
	$(am__objects_7)
#am__objects_8 = win32select.lo evthread_win32.lo \
#	buffer_iocp.lo event_iocp.lo \
#	bufferevent_async.lo $(am__objects_1) \
#	$(am__objects_2) $(am__objects_3) \
#	$(am__objects_4) $(am__objects_5) \
#	$(am__objects_6) $(am__objects_7)
am__objects_9 = event.lo evthread.lo buffer.lo bufferevent.lo \
	bufferevent_sock.lo bufferevent_filter.lo bufferevent_pair.lo \
	listener.lo bufferevent_ratelim.lo evmap.lo log.lo evutil.lo \
	evutil_rand.lo strlcpy.lo $(am__objects_8)
am__objects_10 = event_tagging.lo http.lo evdns.lo evrpc.lo
am_libevent_la_OBJECTS = $(am__objects_9) $(am__objects_10)
libevent_la_OBJECTS = $(am_libevent_la_OBJECTS)
libevent_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libevent_la_LDFLAGS) $(LDFLAGS) -o $@
libevent_core_la_DEPENDENCIES =  $(am__DEPENDENCIES_1)
am__libevent_core_la_SOURCES_DIST = event.c evthread.c buffer.c \
	bufferevent.c bufferevent_sock.c bufferevent_filter.c \
	bufferevent_pair.c listener.c bufferevent_ratelim.c evmap.c \
	log.c evutil.c evutil_rand.c strlcpy.c select.c poll.c \
	devpoll.c kqueue.c epoll.c evport.c signal.c win32select.c \
	evthread_win32.c buffer_iocp.c event_iocp.c \
	bufferevent_async.c
am_libevent_core_la_OBJECTS = $(am__objects_9)
libevent_core_la_OBJECTS = $(am_libevent_core_la_OBJECTS)
libevent_core_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libevent_core_la_LDFLAGS) $(LDFLAGS) -o $@
#am__DEPENDENCIES_2 = libevent_core.la
libevent_extra_la_DEPENDENCIES = $(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_1)
am_libevent_extra_la_OBJECTS = $(am__objects_10)
libevent_extra_la_OBJECTS = $(am_libevent_extra_la_OBJECTS)
libevent_extra_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libevent_extra_la_LDFLAGS) $(LDFLAGS) -o $@
libevent_openssl_la_DEPENDENCIES =  \
	$(am__DEPENDENCIES_2)
am__libevent_openssl_la_SOURCES_DIST = bufferevent_openssl.c
am_libevent_openssl_la_OBJECTS = bufferevent_openssl.lo
libevent_openssl_la_OBJECTS = $(am_libevent_openssl_la_OBJECTS)
libevent_openssl_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libevent_openssl_la_LDFLAGS) $(LDFLAGS) -o $@
am_libevent_openssl_la_rpath = -rpath $(libdir)
libevent_pthreads_la_LIBADD =
am__libevent_pthreads_la_SOURCES_DIST = evthread_pthread.c
am_libevent_pthreads_la_OBJECTS = evthread_pthread.lo
libevent_pthreads_la_OBJECTS = $(am_libevent_pthreads_la_OBJECTS)
libevent_pthreads_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libevent_pthreads_la_LDFLAGS) $(LDFLAGS) -o $@
am_libevent_pthreads_la_rpath = -rpath $(libdir)
SCRIPTS = $(dist_bin_SCRIPTS)
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libevent_la_SOURCES) $(libevent_core_la_SOURCES) \
	$(libevent_extra_la_SOURCES) $(libevent_openssl_la_SOURCES) \
	$(libevent_pthreads_la_SOURCES)
DIST_SOURCES = $(am__libevent_la_SOURCES_DIST) \
	$(am__libevent_core_la_SOURCES_DIST) \
	$(libevent_extra_la_SOURCES) \
	$(am__libevent_openssl_la_SOURCES_DIST) \
	$(am__libevent_pthreads_la_SOURCES_DIST)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
DATA = $(pkgconfig_DATA)
HEADERS = $(include_HEADERS) $(noinst_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run autoconf
AUTOHEADER = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run autoheader
AUTOMAKE = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -fno-strict-aliasing 
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FGREP = /scratchbox/tools/bin/grep -F
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /scratchbox/compilers/cs2007q3-glibc2.5-arm7/arm-none-linux-gnueabi/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = -lrt 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPENSSL_LIBS = -lssl 
OTOOL = 
OTOOL64 = 
PACKAGE = libevent
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PTHREAD_CC = gcc
PTHREAD_CFLAGS = 
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.0.6-rc
ZLIB_LIBS = -lz

=== include/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# include/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/libevent
pkgincludedir = $(includedir)/libevent
pkglibdir = $(libdir)/libevent
pkglibexecdir = $(libexecdir)/libevent
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
subdir = include
DIST_COMMON = $(nobase_include_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acx_pthread.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(includedir)"
HEADERS = $(nobase_include_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run autoconf
AUTOHEADER = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run autoheader
AUTOMAKE = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -fno-strict-aliasing 
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FGREP = /scratchbox/tools/bin/grep -F
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /scratchbox/compilers/cs2007q3-glibc2.5-arm7/arm-none-linux-gnueabi/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = -lrt 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPENSSL_LIBS = -lssl 
OTOOL = 
OTOOL64 = 
PACKAGE = libevent
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PTHREAD_CC = gcc
PTHREAD_CFLAGS = 
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.0.6-rc
ZLIB_LIBS = -lz 
abs_builddir = /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/include
abs_srcdir = /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/include
abs_top_builddir = /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc
abs_top_srcdir = /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AUTOMAKE_OPTIONS = foreign
EVENT2_EXPORT = \
	event2/buffer.h \
	event2/buffer_compat.h \
	event2/bufferevent.h \
	event2/bufferevent_compat.h \
	event2/bufferevent_ssl.h \
	event2/bufferevent_struct.h \
	event2/dns.h \
	event2/dns_compat.h \
	event2/dns_struct.h \
	event2/event.h \
	event2/event_compat.h \
	event2/event_struct.h \
	event2/http.h \
	event2/http_compat.h \
	event2/http_struct.h \
	event2/listener.h \
	event2/rpc.h \
	event2/rpc_compat.h \
	event2/rpc_struct.h \
	event2/tag.h \
	event2/tag_compat.h \
	event2/thread.h \
	event2/util.h

EXTRA_SRC = $(EVENT2_EXPORT)
nobase_include_HEADERS = $(EVENT2_EXPORT) ./event2/event-config.h
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign include/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign include/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-nobase_includeHEADERS: $(nobase_include_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
	@list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
	$(am__nobase_list) | while read dir files; do \
	  xfiles=; for file in $$files; do \
	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
	  test -z "$$xfiles" || { \
	    test "x$$dir" = x. || { \
	      echo "$(MKDIR_P) '$(DESTDIR)$(includedir)/$$dir'"; \
	      $(MKDIR_P) "$(DESTDIR)$(includedir)/$$dir"; }; \
	    echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(includedir)/$$dir'"; \
	    $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(includedir)/$$dir" || exit $$?; }; \
	done

uninstall-nobase_includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(includedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(includedir)" && rm -f $$files

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \

=== sample/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# sample/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/libevent
pkgincludedir = $(includedir)/libevent
pkglibdir = $(libdir)/libevent
pkglibexecdir = $(libexecdir)/libevent
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
noinst_PROGRAMS = event-test$(EXEEXT) time-test$(EXEEXT) \
	signal-test$(EXEEXT) dns-example$(EXEEXT) hello-world$(EXEEXT) \
	$(am__EXEEXT_1)
am__append_1 = le-proxy
subdir = sample
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acx_pthread.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__EXEEXT_1 = le-proxy$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
dns_example_SOURCES = dns-example.c
dns_example_OBJECTS = dns-example.$(OBJEXT)
dns_example_LDADD = $(LDADD)
dns_example_DEPENDENCIES = ../libevent.la
event_test_SOURCES = event-test.c
event_test_OBJECTS = event-test.$(OBJEXT)
event_test_LDADD = $(LDADD)
event_test_DEPENDENCIES = ../libevent.la
hello_world_SOURCES = hello-world.c
hello_world_OBJECTS = hello-world.$(OBJEXT)
hello_world_LDADD = $(LDADD)
hello_world_DEPENDENCIES = ../libevent.la
le_proxy_SOURCES = le-proxy.c
le_proxy_OBJECTS = le-proxy.$(OBJEXT)
le_proxy_DEPENDENCIES = $(LDADD) ../libevent_openssl.la
signal_test_SOURCES = signal-test.c
signal_test_OBJECTS = signal-test.$(OBJEXT)
signal_test_LDADD = $(LDADD)
signal_test_DEPENDENCIES = ../libevent.la
time_test_SOURCES = time-test.c
time_test_OBJECTS = time-test.$(OBJEXT)
time_test_LDADD = $(LDADD)
time_test_DEPENDENCIES = ../libevent.la
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = dns-example.c event-test.c hello-world.c le-proxy.c \
	signal-test.c time-test.c
DIST_SOURCES = dns-example.c event-test.c hello-world.c le-proxy.c \
	signal-test.c time-test.c
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run autoconf
AUTOHEADER = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run autoheader
AUTOMAKE = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -fno-strict-aliasing 
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FGREP = /scratchbox/tools/bin/grep -F
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /scratchbox/compilers/cs2007q3-glibc2.5-arm7/arm-none-linux-gnueabi/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = -lrt 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPENSSL_LIBS = -lssl 
OTOOL = 
OTOOL64 = 
PACKAGE = libevent
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PTHREAD_CC = gcc
PTHREAD_CFLAGS = 
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.0.6-rc
ZLIB_LIBS = -lz 
abs_builddir = /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/sample
abs_srcdir = /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/sample
abs_top_builddir = /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc
abs_top_srcdir = /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AUTOMAKE_OPTIONS = foreign no-dependencies
LDADD = ../libevent.la
AM_CFLAGS = -I$(top_srcdir) -I$(top_srcdir)/compat -I$(top_srcdir)/include -I../include
event_test_sources = event-test.c
time_test_sources = time-test.c
signal_test_sources = signal-test.c
dns_example_sources = dns-example.c
hello_world_sources = hello-world.c
le_proxy_sources = le-proxy.c
le_proxy_LDADD = $(LDADD) ../libevent_openssl.la -lcrypto -lssl
DISTCLEANFILES = *~
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign sample/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign sample/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
dns-example$(EXEEXT): $(dns_example_OBJECTS) $(dns_example_DEPENDENCIES) 
	@rm -f dns-example$(EXEEXT)
	$(LINK) $(dns_example_OBJECTS) $(dns_example_LDADD) $(LIBS)
event-test$(EXEEXT): $(event_test_OBJECTS) $(event_test_DEPENDENCIES) 
	@rm -f event-test$(EXEEXT)
	$(LINK) $(event_test_OBJECTS) $(event_test_LDADD) $(LIBS)
hello-world$(EXEEXT): $(hello_world_OBJECTS) $(hello_world_DEPENDENCIES) 
	@rm -f hello-world$(EXEEXT)
	$(LINK) $(hello_world_OBJECTS) $(hello_world_LDADD) $(LIBS)
le-proxy$(EXEEXT): $(le_proxy_OBJECTS) $(le_proxy_DEPENDENCIES) 
	@rm -f le-proxy$(EXEEXT)
	$(LINK) $(le_proxy_OBJECTS) $(le_proxy_LDADD) $(LIBS)
signal-test$(EXEEXT): $(signal_test_OBJECTS) $(signal_test_DEPENDENCIES) 
	@rm -f signal-test$(EXEEXT)
	$(LINK) $(signal_test_OBJECTS) $(signal_test_LDADD) $(LIBS)
time-test$(EXEEXT): $(time_test_OBJECTS) $(time_test_DEPENDENCIES) 
	@rm -f time-test$(EXEEXT)
	$(LINK) $(time_test_OBJECTS) $(time_test_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)

=== test/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/libevent
pkgincludedir = $(includedir)/libevent
pkglibdir = $(libdir)/libevent
pkglibexecdir = $(libexecdir)/libevent
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
noinst_PROGRAMS = test-init$(EXEEXT) test-eof$(EXEEXT) \
	test-weof$(EXEEXT) test-time$(EXEEXT) regress$(EXEEXT) \
	bench$(EXEEXT) bench_cascade$(EXEEXT) bench_http$(EXEEXT) \
	bench_httpclient$(EXEEXT) test-ratelim$(EXEEXT) \
	test-changelist$(EXEEXT)
am__append_1 = ../libevent_pthreads.la
#am__append_2 = regress_iocp.c
am__append_3 = regress_ssl.c
am__append_4 = ../libevent_openssl.la -lcrypto -lssl
subdir = test
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acx_pthread.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_bench_OBJECTS = bench.$(OBJEXT)
bench_OBJECTS = $(am_bench_OBJECTS)
bench_DEPENDENCIES = ../libevent.la
am_bench_cascade_OBJECTS = bench_cascade.$(OBJEXT)
bench_cascade_OBJECTS = $(am_bench_cascade_OBJECTS)
bench_cascade_DEPENDENCIES = ../libevent.la
am_bench_http_OBJECTS = bench_http.$(OBJEXT)
bench_http_OBJECTS = $(am_bench_http_OBJECTS)
bench_http_DEPENDENCIES = ../libevent.la
am_bench_httpclient_OBJECTS = bench_httpclient.$(OBJEXT)
bench_httpclient_OBJECTS = $(am_bench_httpclient_OBJECTS)
bench_httpclient_DEPENDENCIES = ../libevent_core.la
am__regress_SOURCES_DIST = regress.c regress_buffer.c regress_http.c \
	regress_dns.c regress_testutils.c regress_testutils.h \
	regress_rpc.c regress.gen.c regress.gen.h regress_et.c \
	regress_bufferevent.c regress_listener.c regress_util.c \
	tinytest.c regress_main.c regress_minheap.c regress_pthread.c \
	regress_zlib.c regress_iocp.c regress_ssl.c
am__objects_1 = regress-regress_pthread.$(OBJEXT)
am__objects_2 = regress-regress_zlib.$(OBJEXT)
#am__objects_3 = regress-regress_iocp.$(OBJEXT)
am__objects_4 = regress-regress_ssl.$(OBJEXT)
am_regress_OBJECTS = regress-regress.$(OBJEXT) \
	regress-regress_buffer.$(OBJEXT) \
	regress-regress_http.$(OBJEXT) regress-regress_dns.$(OBJEXT) \
	regress-regress_testutils.$(OBJEXT) \
	regress-regress_rpc.$(OBJEXT) regress-regress.gen.$(OBJEXT) \
	regress-regress_et.$(OBJEXT) \
	regress-regress_bufferevent.$(OBJEXT) \
	regress-regress_listener.$(OBJEXT) \
	regress-regress_util.$(OBJEXT) regress-tinytest.$(OBJEXT) \
	regress-regress_main.$(OBJEXT) \
	regress-regress_minheap.$(OBJEXT) $(am__objects_1) \
	$(am__objects_2) $(am__objects_3) $(am__objects_4)
regress_OBJECTS = $(am_regress_OBJECTS)
am__DEPENDENCIES_1 = $(am__append_1)
am__DEPENDENCIES_2 =
am__DEPENDENCIES_3 = ../libevent_openssl.la
regress_DEPENDENCIES = ../libevent.la $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3)
regress_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(regress_CFLAGS) $(CFLAGS) \
	$(regress_LDFLAGS) $(LDFLAGS) -o $@
am_test_changelist_OBJECTS = test-changelist.$(OBJEXT)
test_changelist_OBJECTS = $(am_test_changelist_OBJECTS)
test_changelist_DEPENDENCIES = ../libevent_core.la
am_test_eof_OBJECTS = test-eof.$(OBJEXT)
test_eof_OBJECTS = $(am_test_eof_OBJECTS)
test_eof_DEPENDENCIES = ../libevent_core.la
am_test_init_OBJECTS = test-init.$(OBJEXT)
test_init_OBJECTS = $(am_test_init_OBJECTS)
test_init_DEPENDENCIES = ../libevent_core.la
am_test_ratelim_OBJECTS = test-ratelim.$(OBJEXT)
test_ratelim_OBJECTS = $(am_test_ratelim_OBJECTS)
test_ratelim_DEPENDENCIES = ../libevent_core.la
am_test_time_OBJECTS = test-time.$(OBJEXT)
test_time_OBJECTS = $(am_test_time_OBJECTS)
test_time_DEPENDENCIES = ../libevent_core.la
am_test_weof_OBJECTS = test-weof.$(OBJEXT)
test_weof_OBJECTS = $(am_test_weof_OBJECTS)
test_weof_DEPENDENCIES = ../libevent_core.la
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(bench_SOURCES) $(bench_cascade_SOURCES) \
	$(bench_http_SOURCES) $(bench_httpclient_SOURCES) \
	$(regress_SOURCES) $(test_changelist_SOURCES) \
	$(test_eof_SOURCES) $(test_init_SOURCES) \
	$(test_ratelim_SOURCES) $(test_time_SOURCES) \
	$(test_weof_SOURCES)
DIST_SOURCES = $(bench_SOURCES) $(bench_cascade_SOURCES) \
	$(bench_http_SOURCES) $(bench_httpclient_SOURCES) \
	$(am__regress_SOURCES_DIST) $(test_changelist_SOURCES) \
	$(test_eof_SOURCES) $(test_init_SOURCES) \
	$(test_ratelim_SOURCES) $(test_time_SOURCES) \
	$(test_weof_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
am__tty_colors = \
red=; grn=; lgn=; blu=; std=
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run autoconf
AUTOHEADER = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run autoheader
AUTOMAKE = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -fno-strict-aliasing 
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FGREP = /scratchbox/tools/bin/grep -F
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /scratchbox/compilers/cs2007q3-glibc2.5-arm7/arm-none-linux-gnueabi/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = -lrt 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPENSSL_LIBS = -lssl 
OTOOL = 
OTOOL64 = 
PACKAGE = libevent
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PTHREAD_CC = gcc
PTHREAD_CFLAGS = 
PTHREAD_LIBS =  $(am__append_1)
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.0.6-rc
ZLIB_LIBS = -lz 
abs_builddir = /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/test
abs_srcdir = /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/test
abs_top_builddir = /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc
abs_top_srcdir = /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/optx/maemo/qt/libschrott/libevent-2.0.6-rc/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AUTOMAKE_OPTIONS = foreign
AM_CFLAGS = -I$(top_srcdir) -I$(top_srcdir)/compat -I$(top_srcdir)/include -I../include
EXTRA_DIST = regress.rpc regress.gen.h regress.gen.c test.sh
noinst_HEADERS = tinytest.h tinytest_macros.h regress.h
TESTS = $(top_srcdir)/test/test.sh
BUILT_SOURCES = regress.gen.c regress.gen.h
test_init_SOURCES = test-init.c
test_init_LDADD = ../libevent_core.la
test_eof_SOURCES = test-eof.c
test_eof_LDADD = ../libevent_core.la
test_changelist_SOURCES = test-changelist.c
test_changelist_LDADD = ../libevent_core.la
test_weof_SOURCES = test-weof.c
test_weof_LDADD = ../libevent_core.la
test_time_SOURCES = test-time.c
test_time_LDADD = ../libevent_core.la
test_ratelim_SOURCES = test-ratelim.c
test_ratelim_LDADD = ../libevent_core.la -lm
regress_SOURCES = regress.c regress_buffer.c regress_http.c \
	regress_dns.c regress_testutils.c regress_testutils.h \
	regress_rpc.c regress.gen.c regress.gen.h regress_et.c \
	regress_bufferevent.c regress_listener.c regress_util.c \
	tinytest.c regress_main.c regress_minheap.c \
	$(regress_pthread_SOURCES) $(regress_zlib_SOURCES) \
	$(am__append_2) $(am__append_3)
regress_pthread_SOURCES = regress_pthread.c
regress_zlib_SOURCES = regress_zlib.c
regress_LDADD = ../libevent.la $(PTHREAD_LIBS) $(ZLIB_LIBS) \
	$(am__append_4)
regress_CFLAGS = -I$(top_srcdir) -I$(top_srcdir)/compat \
	-I$(top_srcdir)/include -I../include $(PTHREAD_CFLAGS) $(ZLIB_CFLAGS)

regress_LDFLAGS = $(PTHREAD_CFLAGS)
bench_SOURCES = bench.c
bench_LDADD = ../libevent.la
bench_cascade_SOURCES = bench_cascade.c
bench_cascade_LDADD = ../libevent.la
bench_http_SOURCES = bench_http.c
bench_http_LDADD = ../libevent.la
bench_httpclient_SOURCES = bench_httpclient.c
bench_httpclient_LDADD = ../libevent_core.la
DISTCLEANFILES = *~
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \

## libevent 1.3e-3

=== debian/changelog ===
libevent (1.3e-3) unstable; urgency=low

  * Don't ship libevent.la. Closes: #473345

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 26 Apr 2008 20:34:51 +1000

libevent (1.3e-2) unstable; urgency=low

  * ACKed NMUs. Closes: #442626 
  * Added debian/watch
  * Fixed the following lintian messages:
    - libevent source: out-of-date-standards-version 3.7.2 (current is 3.7.3)
    - libevent1: description-contains-homepage
    - libevent-dev: description-contains-homepage

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 05 Apr 2008 21:06:10 +1000

libevent (1.3e-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Argh, my patch needs python installed. It's better to not remove the files
    than re-creating them, anyway. 

 -- Michael Meskes <meskes@debian.org>  Fri, 04 Apr 2008 21:45:25 +0200

libevent (1.3e-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-create regress.gen.* during build so package is buildable twice in a
    row, closes: #442626

 -- Michael Meskes <meskes@debian.org>  Fri, 04 Apr 2008 21:00:36 +0200

libevent (1.3e-1) unstable; urgency=low

  * New upstream release
  * Removed patches for compat/sys/_time.h and install-sh.
  
 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Nov 2007 22:53:19 +1100

libevent (1.3d-1) unstable; urgency=low

  * New upstream release, closes: #436475 
  
 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 18 Sep 2007 19:04:29 +1000

libevent (1.3b-0) unstable; urgency=high

  * Acknowledge old NMU, closes: #284282.
  * New upstream release, closes: #401856.
    - Fixed "Versions previous to 1.3b has memory leaks", closes: #428065.
    - Fixed CVE-2007-1030 (remote DoS), closes: #411996.
  * Fixed the following lintian messages:
    - W: libevent source: debian-rules-ignores-make-clean-error line 55
    - W: libevent source: substvar-source-version-is-deprecated libevent-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 08 Jul 2007 15:34:07 +1000

libevent (1.1a-2) unstable; urgency=low

  * New maintainer.
  * Standards-Version: 3.7.2.
  * debhelper (>= 5).
  * libevent1: Override says libs - standard
  * Added homepage to descriptions.
  * Added autotools-dev as a build-dependency and removed
    config.{guess,sub} from the .diff.gz file.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 08 Jan 2007 10:54:24 +1100

libevent (1.1a-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMUs.  (Closes: Bug#288282, Bug#288404, Bug#290385, Bug#291096)
  * Update README.Debian.  (Closes: Bug#310634)
  * libevent.so uses a different library naming scheme now.  We will
    preserve backwards compatiblity with Debian's, but also provide symlinks
    for the official libevent-1.1a.so name.

 -- Simon Law <sfllaw@debian.org>  Mon, 27 Jun 2005 21:05:46 -0400

libevent (1.0b-1.1) unstable; urgency=low

  * NMU with maintainer's approval.
  * New upstream release with backward compatibility fixes (should
    make farpd work again) (Closes: #291096)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 18 Jan 2005 17:58:40 +0100

libevent (1.0-1.1) unstable; urgency=low

  * NMU with maintainer's approval.
  * New upstream release (Closes: #288404, #284282)
  * Removed automake build-dependancy

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 23 Dec 2004 12:13:08 +0100

libevent (0.8-2) unstable; urgency=low

  * Tighten up the shlibs dependencies on libevent1.  (Closes: Bug#250193)

 -- Simon Law <sfllaw@debian.org>  Sun, 11 Jul 2004 13:34:20 -0400

libevent (0.8-1) unstable; urgency=low

  * New upstream release.  (Closes: Bug#244683)
  * Makefile.am: Set the SONAME to 1.1.0.
  * Removed the CVS directories from the upstream source.

 -- Simon Law <sfllaw@debian.org>  Sun, 16 May 2004 15:36:39 -0400

libevent (0.7c-1) unstable; urgency=medium

  * New upstream release.  (Closes: Bug#226814)
    - Fixes epoll(4) and poll(2) support.

 -- Simon Law <sfllaw@debian.org>  Tue, 13 Jan 2004 17:39:02 -0500

libevent (0.7b-1) unstable; urgency=low

  * New upstream release.  (Closes: Bug#197044)
  * Compliant with Standards Version 3.6.1.
  * Removed kqueue.2 since we don't ship with <sys/event.h>.
  * Makefile.am: Set SONAME to 1.0.0.

 -- Simon Law <sfllaw@debian.org>  Tue,  7 Oct 2003 22:18:12 -0400

libevent (0.6-5) unstable; urgency=low

  * Restore the symlink /usr/lib/libevent.so (Closes: Bug#181156)
  * Compliant with Standards Version 3.5.8.

 -- Simon Law <sfllaw@debian.org>  Sat, 15 Feb 2003 22:40:10 -0500

libevent (0.6-4) unstable; urgency=low

  * Use AM_MAINTAINER_MODE in configure.in. (Closes: Bug#163560)

 -- Simon Law <sfllaw@debian.org>  Sun, 06 Oct 2002 22:58:32 -0400

libevent (0.6-3) unstable; urgency=low

  * Fixed the configure.in build problem on sparc and m68k (Closes: Bug#163477)

 -- Simon Law <sfllaw@debian.org>  Fri, 04 Oct 2002 23:18:53 -0400

libevent (0.6-2) unstable; urgency=low

  * Wrote a better description for libevent-dev.  (Closes: Bug#162994)

 -- Simon Law <sfllaw@debian.org>  Fri, 04 Oct 2002 23:18:53 -0400

libevent (0.6-1) unstable; urgency=low

  * Initial Release.  (Closes: Bug#155447, Bug#155448)
  * Makefile.am configure.in: Now uses libtool to build shared libraries
  * Makefile.am: Set SONAME to 0.0.0

 -- Simon Law <sfllaw@debian.org>  Sat, 28 Sep 2002 12:49:18 -0400

=== debian/control ===
Source: libevent
Section: libs
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Simon Law <sfllaw@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, libtool
Standards-Version: 3.7.3
Homepage: http://www.monkey.org/~provos/libevent/

Package: libevent-dev
Section: libdevel
Architecture: any
Depends: libevent1 (= ${binary:Version})
Description: Development libraries, header files and docs for libevent
 Contains the header files, documentation, examples and static libraries 
 for use in developing applications that use the libevent library.
 .
 The libevent library is an asynchronous event notification library
 that provides a mechanish to execute a callback function when a specific
 event occurs on a file descriptor or after a timeout has been reached.

Package: libevent1
Section: libs
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An asynchronous event notification library
 The libevent API provides a mechanism to execute a callback function
 when a specific event occurs on a file descriptor or after a timeout
 has been reached.
 .
 libevent is meant to replace the asynchronous event loop found in
 event driven network servers.  Currently, libevent supports kqueue(2)
 and select(2).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

#include /usr/share/quilt/quilt.make

config.status: configure
	dh_testdir
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


#build: patch build-stamp
build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

#clean: unpatch
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  rm -f config.sub
	-test -r /usr/share/misc/config.guess && \
	  rm -f config.guess

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr

	# Create symlinks for backwards compatibility
	LIBRARY=$$(basename $(CURDIR)/debian/tmp/usr/lib/libevent-*.so.1); \
	for i in '' '-1.1' '-1.1a' '-1.3b' '-1.3d'; do \
	  ln -sf $$LIBRARY $(CURDIR)/debian/tmp/usr/lib/libevent$$i.so.1; \
	done

	# Copy the example C files
	mkdir -p $(CURDIR)/debian/tmp/examples/
	cp $(CURDIR)/sample/*.c $(CURDIR)/debian/tmp/examples/
	cp $(CURDIR)/debian/Makefile.sample $(CURDIR)/debian/tmp/examples/Makefile

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
